/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import {ComponentFixture, TestBed, waitForAsync} from "@angular/core/testing";
import {BciDurationPickerDemoComponent} from "./bci-duration-picker-demo.component";
import {NoopAnimationsModule} from "@angular/platform-browser/animations";
import {BciComponentModule} from "@bci-web-core/core";
import {MatDialogModule} from "@angular/material/dialog";
import {ScrollIntoViewService} from "../../shared/scroll-into-view.service";
import {CommonModule} from "@angular/common";

describe('BciDurationPickerDemoComponent', () => {
  let component: BciDurationPickerDemoComponent;
  let fixture: ComponentFixture<BciDurationPickerDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [
          NoopAnimationsModule,
          CommonModule,
          BciComponentModule,
          MatDialogModule
        ],
        providers: [
          ScrollIntoViewService
        ]
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BciDurationPickerDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
